function h=drawellipse_fast(xtarget, ytarget, Mtargetxx, Mtargetxy, Mtargetyy, color)

% M_xx = Mtargetxx - xtarget^2;
% M_xy = Mtargetxy - xtarget*ytarget;
% M_yy = Mtargetyy - ytarget^2;
% inertiamat = [M_xx M_xy;M_xy M_yy];

M_xx = Mtargetxx;
M_xy = Mtargetxy;
M_yy = Mtargetyy;
inertiamat = [M_xx -M_xy;-M_xy M_yy];

[u,s,v] = svd(inertiamat);
xsize = sqrt(4*s(1,1));
ysize = sqrt(4*s(2,2));
ang = atan2(u(1,2),u(2,2));
h=ellipse(xsize,ysize,ang,xtarget,ytarget,color);